# disable debuginfo package
%define debug_package %{nil}

Summary: ipac-ng
Name: ipac-ng
Version: 1.27
Release: 3.7
License: GPL
Group: System Environment/Daemons
URL: http://sourceforge.net/projects/ipac-ng/
Source: ftp://sibinet.com/pub/ipac-ng/%{name}-%{version}.tar.bz2
Source1: ipac-ng.httpd-conf
Source2: ipac-ng-init
Patch1:  ipac-ng-postgrefix.patch
Packager: Milan Kerslager <kerslage@linux.cz>
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: gdbm-devel, bison, flex
Prereq: perl, chkconfig
Requires: gdbm, perl

%description
ipac is a package which is designed to gather, summarize and nicely
output the IP accounting data. ipac make summaries and graphs as ascii
text and/or images with graphs.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1 -b .postgrefix

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ipac_datadir=/var/ipac-ng/datadir \
  ./configure --prefix=%{_prefix} --mandir=%{_mandir}
make DESTDIR=$RPM_BUILD_ROOT all

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ipac-ng
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
mkdir -p $RPM_BUILD_ROOT%{_usr}/sbin
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ipac-ng/cgi-bin
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/ipac-ng/datadir
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/ipac-ng/webdir
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/ipac
touch $RPM_BUILD_ROOT/var/lib/ipac/flag
install -m 644 ipac-convert $RPM_BUILD_ROOT%{_usr}/sbin
install -m 644 ipac-convert.8 $RPM_BUILD_ROOT%{_mandir}/man8/ipac-convert.8
gzip -9 -f $RPM_BUILD_ROOT%{_mandir}/man8/ipac-convert.8
install -m 644 %{S:1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/ipac-ng.conf
install -m 644 %{S:2} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/ipac
install -m 644 contrib/sample_configs/ipac.conf $RPM_BUILD_ROOT%{_sysconfdir}/ipac-ng
install -m 644 contrib/sample_configs/rules.conf.ipchains $RPM_BUILD_ROOT/etc/ipac-ng
install -m 644 contrib/sample_configs/rules.conf.iptables $RPM_BUILD_ROOT%{_sysconfdir}/ipac-ng
#install -m 644 html/stat/index.html   $RPM_BUILD_ROOT%{_datadir}/ipac-ng/index.html
#install -m 644 html/cgi-bin/.htaccess $RPM_BUILD_ROOT%{_datadir}/ipac-ng/cgi-bin/.htaccess
#install -m 755 html/cgi-bin/*         $RPM_BUILD_ROOT%{_datadir}/ipac-ng/cgi-bin

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
/sbin/chkconfig --add ipac
echo " * Installation complete. Please, read files in" %{_defaultdocdir}/%{name}-%{version}

%preun
if [ $1 = 0 ]; then
        /sbin/chkconfig --del ipac
fi

%files
%defattr(-,root,root)
%doc CHANGES COPYING README README-NG README-NG.RUS TODO UPDATE contrib postgre.readme ipac-ng.sql
%config(noreplace) %{_sysconfdir}/ipac-ng/ipac.conf
%config(noreplace) %{_sysconfdir}/ipac-ng/rules.conf.ipchains
%config(noreplace) %{_sysconfdir}/ipac-ng/rules.conf.iptables
%config(noreplace) %{_sysconfdir}/httpd/conf.d/ipac-ng.conf
%attr(755,root,root) %{_sysconfdir}/init.d/ipac
%attr(755,root,root) %{_usr}/sbin/ipacsum
%attr(755,root,root) %{_usr}/sbin/fetchipac
%attr(755,root,root) %{_usr}/sbin/ipac-convert
# Web & CGI: /usr/share/ipac-ng
#%dir %{_datadir}/ipac-ng
#%dir %{_datadir}/ipac-ng/cgi-bin
#%{_datadir}/ipac-ng/index.html
#%{_datadir}/ipac-ng/cgi-bin/.htaccess
#%attr(755,root,root) %{_datadir}/ipac-ng/cgi-bin/*

# data: /var/ipac-ng
%{_localstatedir}/ipac-ng
%attr(664,apache,nobody) %{_localstatedir}/lib/ipac/flag
%{_mandir}/man8/*.8.gz

%changelog
* Mon Jun 16 2003 Milan Kerslager <kerslage@linux.cz> 1.27-3.7
- rebuild for RH 7.3

* Tue May 13 2003 Milan Kerslager <kerslage@linux.cz> 1.27-3.9
- ipac-convert with man page added to package

* Sat May 11 2003 Milan Kerslager <kerslage@linux.cz> 1.27-2
- init script added
- still no CGI scripts, should be fixed next time (someone may love them)
- datadir moved to /var/ipac-ng/datadir because /var/ipac-ng/webdir is for WWW
  output (see /etc/httpd/conf.d/ipac-ng.conf)

* Sat May 10 2003 Milan Kerslager <kerslage@linux.cz> 1.27-1
- rebuild for RH 9
- move ipac files off the WWW server to own directory /usr/share/ipac-ng
- utilize /etc/httpd/conf.d directory
- no CGI scripts because I do not trust them
- patch to fix unneded debug output from fetchipac during ipacsum run

* Tue Nov 14 2001 Al Zakharov <kaiser13@mail2000.ru>
- placement of index.html file fixed
- installation of reconfig flag file added
* Mon Oct 15 2001 Al Zakharov <kaiser13@mail2000.ru>
- config file path fixed
- changed to use tmppath
- more requires added
- prereq's added
- ownership of .htaccess changed
* Thu Oct 04 2001 Alex Miller <asmm@canada.com>
- added cgi-bin utilities
- fixed description and %doc attributes
* Wed Oct 03 2001 Alex Miller <asmm@canada.com>
- started package with ipac-ng-1.11
